classification
Title: Support GitHub Actions in CI
Type: Stage: resolved
Components: Build Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: blueyed, brett.cannon, miss-islington, steve.dower
Priority: normal Keywords: patch

Created on 2019-12-13 21:56 by steve.dower, last changed 2020-12-16 23:24 by blueyed2. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17594 merged steve.dower, 2019-12-13 21:56
PR 17628 merged steve.dower, 2019-12-16 18:50
PR 17868 merged miss-islington, 2020-01-06 16:22
PR 17869 merged miss-islington, 2020-01-06 16:22
PR 17873 merged steve.dower, 2020-01-06 19:20
PR 17879 merged miss-islington, 2020-01-06 21:23
PR 17880 merged miss-islington, 2020-01-06 21:23
Messages (12)
msg358361 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-12-13 21:56
Enable support for GitHub Actions CI to do PR build and test runs.

Once stable, we can deprecate Azure Pipelines PR builds.

The only regression right now is that test results are not collected in a nice view like AP has. But I think that view is not widely used, and searching the logs on GitHub is probably good enough.
msg358508 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-12-16 18:35
New changeset a76ba362c4d86adf5e7f8254398135d12d7afd25 by Steve Dower in branch 'master':
bpo-39041: Add GitHub Actions support (GH-17594)
https://github.com/python/cpython/commit/a76ba362c4d86adf5e7f8254398135d12d7afd25
msg358510 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-12-16 18:46
Have merged the core support. Now that checks are enabled, any updates to the workflow files can be tested in PRs, so that will be much easier.

Other things to do:
* badges
* disable Azure Pipelines for PR builds
* ...? What have I missed?
msg358515 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-12-16 19:15
New changeset 6a263cf1adfc18cdba65c788dd76d35997a89acf by Steve Dower in branch 'master':
bpo-39041: Add GitHub Actions badge to README.rst (GH-17628)
https://github.com/python/cpython/commit/6a263cf1adfc18cdba65c788dd76d35997a89acf
msg359436 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-01-06 16:47
New changeset 0048833e1308d39dc9c6489da7872ade0f14486f by Steve Dower (Miss Islington (bot)) in branch '3.8':
bpo-39041: Add GitHub Actions support (GH-17594)
https://github.com/python/cpython/commit/0048833e1308d39dc9c6489da7872ade0f14486f
msg359437 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-01-06 16:47
New changeset acf5e5f3f42a3d2985499df82331705edbe717be by Steve Dower (Miss Islington (bot)) in branch '3.7':
bpo-39041: Add GitHub Actions support (GH-17594)
https://github.com/python/cpython/commit/acf5e5f3f42a3d2985499df82331705edbe717be
msg359468 - (view) Author: miss-islington (miss-islington) Date: 2020-01-06 21:23
New changeset b1ce22d086660d2505010694c8813cc67adf8f9e by Miss Islington (bot) (Steve Dower) in branch 'master':
bpo-39041: Fix coverage upload command for GitHub Actions (GH-17873)
https://github.com/python/cpython/commit/b1ce22d086660d2505010694c8813cc67adf8f9e
msg359470 - (view) Author: miss-islington (miss-islington) Date: 2020-01-06 21:41
New changeset fb59f5ffe80a1f2dcf7c6cbd2406e15bea49da21 by Miss Islington (bot) in branch '3.8':
bpo-39041: Fix coverage upload command for GitHub Actions (GH-17873)
https://github.com/python/cpython/commit/fb59f5ffe80a1f2dcf7c6cbd2406e15bea49da21
msg359471 - (view) Author: miss-islington (miss-islington) Date: 2020-01-06 21:42
New changeset 676b16c14040ddb9a2ef3408e66a77c1dfb8e841 by Miss Islington (bot) in branch '3.7':
bpo-39041: Fix coverage upload command for GitHub Actions (GH-17873)
https://github.com/python/cpython/commit/676b16c14040ddb9a2ef3408e66a77c1dfb8e841
msg383193 - (view) Author: Daniel Hahler (blueyed2) Date: 2020-12-16 17:48
Is it planned to enable coverage uploads for PRs?
This would really help with seeing if code (to be merged) is covered etc.
msg383213 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2020-12-16 22:01
Your question is best directed at https://discuss.python.org/c/core-workflow/8, Daniel.
msg383216 - (view) Author: Daniel Hahler (blueyed2) Date: 2020-12-16 23:24
Brett, thanks for the reference.

I've found https://discuss.python.org/t/coverage-report-in-github-ci-for-standard-library/2836/11, and https://bugs.python.org/issue40993 through it.
History
Date User Action Args
2020-12-16 23:24:39blueyed2setnosy: + blueyed, - blueyed2
2020-12-16 23:24:25blueyed2setmessages: + msg383216
2020-12-16 22:01:51brett.cannonsetmessages: + msg383213
2020-12-16 17:48:18blueyed2setnosy: + blueyed2
messages: + msg383193
2020-09-24 20:39:22steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-01-06 21:42:41miss-islingtonsetmessages: + msg359471
2020-01-06 21:41:36miss-islingtonsetmessages: + msg359470
2020-01-06 21:23:42miss-islingtonsetpull_requests: + pull_request17296
2020-01-06 21:23:35miss-islingtonsetpull_requests: + pull_request17295
2020-01-06 21:23:17miss-islingtonsetnosy: + miss-islington
messages: + msg359468
2020-01-06 19:20:48steve.dowersetpull_requests: + pull_request17289
2020-01-06 16:47:13steve.dowersetmessages: + msg359437
2020-01-06 16:47:03steve.dowersetmessages: + msg359436
2020-01-06 16:22:35miss-islingtonsetpull_requests: + pull_request17286
2020-01-06 16:22:27miss-islingtonsetpull_requests: + pull_request17285
2019-12-16 19:15:14steve.dowersetmessages: + msg358515
2019-12-16 18:50:57steve.dowersetkeywords: + patch
pull_requests: + pull_request17097
2019-12-16 18:46:57steve.dowersetmessages: + msg358510
2019-12-16 18:35:28steve.dowersetmessages: + msg358508
2019-12-13 21:56:07steve.dowercreate